/**
 * Copyright (c) 2023 Eclipse Foundation
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * Author: Martin Lowe <martin.lowe@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.eclipsefoundation.reports.cli;

import io.quarkus.picocli.runtime.annotations.TopCommand;
import picocli.CommandLine;

/**
 * Common top command for the multiple LDAP reports generated by this package. Required so that the multiple different
 * reports can all be easily called.
 * 
 * @author Martin Lowe
 *
 */
@TopCommand
@CommandLine.Command(mixinStandardHelpOptions = true, subcommands = { SpamLDAPReport.class,
        FoundationLDAPReport.class })
public class ReportTop {
}
